<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://dpfpic.com
 * Licence GNU_GPL
 **/
 
# Control du token du formulaire
plxToken::validateFormToken($_POST);

function icone_list(){
	$patern='*';
	$dir = PLX_PLUGINS.'plxSondage/img/';
	$tab = array();
	$icone = array();
	if (is_dir($dir)) {
	    if ($dh = opendir($dir)) {
	        while (($file = readdir($dh)) !== false) {
				$ext=explode('.',$file);
				$ext=$ext[count($ext)-1];
	            if($ext==$patern || $patern=="*" && $file!='.' && $file!='..' && $file!='index.html'){
					$tab[$file]= $file;
				}
	        }
	        closedir($dh);
	    }
	}
	sort($tab);
	foreach($tab as $k=>$v)
		$icone[$v] = ucfirst($v);

	return $icone;
}
  
$icone_img = icone_list();
$init = true;

if(!empty($_POST)) {
	
	$valid = true;
	
	# Vérification de la validité de la date
	if(!plxDate::checkDate($_POST['date_fin_day'],$_POST['date_fin_month'],$_POST['date_fin_year'],$_POST['date_fin_time'])) {
		$valid = plxMsg::Error($plxPlugin->getLang("L_S_INVADIDDATE")) AND $valid;
	}
	
	$plxPlugin->setParam('sQuestion', $_POST['sQuestion'], 'string');
	$plxPlugin->setParam('sReponse_0', $_POST['sReponse_0'], 'string');
	$plxPlugin->setParam('sReponse_1', $_POST['sReponse_1'], 'string');
	$plxPlugin->setParam('sReponse_2', $_POST['sReponse_2'], 'string');
	$plxPlugin->setParam('sReponse_3', $_POST['sReponse_3'], 'string');
	$plxPlugin->setParam('sReponse_4', $_POST['sReponse_4'], 'string');
	$plxPlugin->setParam('sTotal_votes', $_POST['sTotal_votes'], 'numeric');
	$plxPlugin->setParam('sWidth_barre', $_POST['sWidth_barre'], 'numeric');
	$plxPlugin->setParam('sIcone_img', $_POST['sIcone_img'], 'string');
	$plxPlugin->setParam('sUnvoteip', $_POST['sUnvoteip'], 'numeric');
	$plxPlugin->setParam('sDuree', $_POST['sDuree'], 'numeric');
	$plxPlugin->setParam('date_fin', $_POST['date_fin_year'].$_POST['date_fin_month'].$_POST['date_fin_day'].substr(str_replace(':','',$_POST['date_fin_time']),0,4), 'cdata');
	
	$plxPlugin->getParam('sReponse_3')=='' ? $n3 = 0 : $n3 = 1;
	$plxPlugin->getParam('sReponse_4')=='' ? $n4 = 0 : $n4 = 1;
	$nb = 3 + $n3 + $n4;
	if ($_POST['sRaz'] == 1) {
		for ($i=0; $i<4; $i++) {
			$plxPlugin->setParam('sNote_'.$i, 0, 'numeric');
		}
		$plxPlugin->setParam('ip_visiteur', '', 'cdata');
	}
	$plxPlugin->setParam('sNbq', $nb, 'numeric');
	
	if ($plxPlugin->getParam('ip_visiteur') == '') $plxPlugin->setParam('ip_visiteur', '', 'cdata');
	
	if($valid) {
		$plxPlugin->saveParams();
		header('Location: parametres_plugin.php?p=plxSondage');
		exit;
	} else {
		$sQuestion =  $_POST['sQuestion'];
		$sReponse_0 =  $_POST['sReponse_0'];
		$sReponse_1 =  $_POST['sReponse_1'];
		$sReponse_2 =  $_POST['sReponse_2'];
		$sReponse_3 =  $_POST['sReponse_3'];
		$sReponse_4 =  $_POST['sReponse_4'];
		$sTotal_votes =  $_POST['sTotal_votes'];
		$sWidth_barre =  $_POST['sWidth_barre'];
		$sIcone_img =  $_POST['sIcone_img'];
		$sUnvoteip =  $_POST['sUnvoteip'];
		$sDuree =  $_POST['sDuree'];
		$date_fin['day'] = $_POST['date_fin_day'];
		$date_fin['month'] = $_POST['date_fin_month'];
		$date_fin['year'] = $_POST['date_fin_year'];
		$date_fin['time'] = $_POST['date_fin_time'];
		$init = false;
	}
}
if ($init) {
$date_now = date('YmdHi');
$sQuestion =  $plxPlugin->getParam('sQuestion')=='' ? $plxPlugin->getlang('L_S_DEFAUT_QUESTION') : $plxPlugin->getParam('sQuestion');
$sReponse_0 =  $plxPlugin->getParam('sReponse_0')=='' ? $plxPlugin->getlang('L_S_DEFAUT_REPONSE_0') : $plxPlugin->getParam('sReponse_0');
$sReponse_1 =  $plxPlugin->getParam('sReponse_1')=='' ? $plxPlugin->getlang('L_S_DEFAUT_REPONSE_1') : $plxPlugin->getParam('sReponse_1');
$sReponse_2 =  $plxPlugin->getParam('sReponse_2')=='' ? $plxPlugin->getlang('L_S_DEFAUT_REPONSE_2') : $plxPlugin->getParam('sReponse_2');
$sReponse_3 =  $plxPlugin->getParam('sReponse_3');
$sReponse_4 =  $plxPlugin->getParam('sReponse_4');
$sTotal_votes =  $plxPlugin->getParam('sTotal_votes')=='' ? 0 : $plxPlugin->getParam('sTotal_votes');
$sWidth_barre =  $plxPlugin->getParam('sWidth_barre')=='' ? 240 : $plxPlugin->getParam('sWidth_barre');
$sIcone_img =  $plxPlugin->getParam('sIcone_img')=='' ? 'blue.gif' : $plxPlugin->getParam('sIcone_img');
$sUnvoteip =  $plxPlugin->getParam('sUnvoteip')=='' ? 1 : $plxPlugin->getParam('sUnvoteip');
$sDuree =  $plxPlugin->getParam('sDuree')=='' ? 0 : $plxPlugin->getParam('sDuree');
$date_F =  $plxPlugin->getParam('date_fin')=='' ? $date_now : $plxPlugin->getParam('date_fin');
$date_fin = plxDate::date2Array($date_F);
}
$sRaz =  0;
?>
<?php if ($plxAdmin->aConf['version'] < '5.4') { ?>
<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
<?php } ?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS; ?>plxSondage/css/config.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php echo PLX_PLUGINS; ?>plxSondage/js/config.js"></script>
<div>
	<span class="tab_0 tab" id="tab_01" onclick="javascript:change_tab('01');"><?php $plxPlugin->lang('L_S_TAB01') ?></span>
	<span class="tab_0 tab" id="tab_02" onclick="javascript:change_tab('02');"><?php $plxPlugin->lang('L_S_TAB02') ?></span>
</div>
<div class="content_tab" id="content_tab_01">
<form class="inline-form" id="form_plxSondage" action="parametres_plugin.php?p=plxSondage" method="post">
	<fieldset>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_sQuestion"><?php $plxPlugin->lang('L_S_QUESTION') ?>&nbsp;:</label>
			<?php plxUtils::printInput('sQuestion',$sQuestion,'text','32-32') ?>
			</div>
		</div>
		<p>&nbsp;</p>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_sReponse_0"><?php $plxPlugin->lang('L_S_REPONSE_0') ?>&nbsp;:</label>
			<?php plxUtils::printInput('sReponse_0',$sReponse_0,'text','32-32') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_sReponse_1"><?php $plxPlugin->lang('L_S_REPONSE_1') ?>&nbsp;:</label>
			<?php plxUtils::printInput('sReponse_1',$sReponse_1,'text','32-32') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_sReponse_2"><?php $plxPlugin->lang('L_S_REPONSE_2') ?>&nbsp;:</label>
			<?php plxUtils::printInput('sReponse_2',$sReponse_2,'text','32-32') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_sReponse_3"><?php $plxPlugin->lang('L_S_REPONSE_3') ?>&nbsp;:</label>
			<?php plxUtils::printInput('sReponse_3',$sReponse_3,'text','32-32') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_S_HELP_OTHER') ?></span></a>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_sReponse_4"><?php $plxPlugin->lang('L_S_REPONSE_4') ?>&nbsp;:</label>
			<?php plxUtils::printInput('sReponse_4',$sReponse_4,'text','32-32') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_S_HELP_OTHER') ?></span></a>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">	
				<label for="id_sIcone_img"><?php $plxPlugin->lang('L_S_ICONE_IMG') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('sIcone_img',$icone_img,$sIcone_img); ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_sWidth_barre"><?php $plxPlugin->lang('L_S_WIDTH_BARRE') ?>&nbsp;:</label>
			<?php plxUtils::printInput('sWidth_barre',$sWidth_barre,'text','32-32') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_S_HELP_WIDTH_BARRE') ?></span></a>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_sTotal_votes"><?php $plxPlugin->lang('L_S_TOTAL_VOTES') ?>&nbsp;:</label>
			<?php plxUtils::printInput('sTotal_votes',$sTotal_votes,'text','32-32') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_S_HELP_TOTAL_VOTES') ?></span></a>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">	
				<label for="id_unvoteip"><?php $plxPlugin->lang('L_S_DUREE') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('sDuree', array(1=>L_YES,0=>L_NO), $sDuree) ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<div class="inline-form fin">
					<label><?php echo $plxPlugin->lang('L_S_DATEFIN') ?>&nbsp;:</label>
						<?php plxUtils::printInput('date_fin_day',$date_fin['day'],'text','2-2',false,'day'); ?>
						<?php plxUtils::printInput('date_fin_month',$date_fin['month'],'text','2-2',false,'month'); ?>
						<?php plxUtils::printInput('date_fin_year',$date_fin['year'],'text','2-4',false,'year'); ?>

						<input type="hidden" name="date_fin_time" value="00:00" />
						<a class="ico_cal" href="javascript:void(0)" onclick="dateNow('date_fin', <?php echo date('Z') ?>); return false;" title="<?php L_NOW; ?>">
							<img src="theme/images/date.png" alt="calendar" />
						</a>
				</div>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">	
				<label for="id_unvoteip"><?php $plxPlugin->lang('L_S_UNVOTEIP') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('sUnvoteip', array(1=>L_YES,0=>L_NO), $sUnvoteip) ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">	
				<label for="id_sRaz"><?php $plxPlugin->lang('L_S_RAZ') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('sRaz', array(1=>L_YES,0=>L_NO), $sRaz) ?>
			</div>
		</div>		
		</div>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_S_SAVE') ?>" />
		</p>
	</fieldset>
</form>
<div class="content_tab" id="content_tab_02">
	<div id="update">
		<?php $infoPlugin = $plxPlugin->sondage->UpdatePlugin('plxSondage'); ?>
		<p><?php $plxPlugin->lang('L_VP_ACTUAL_VERSION'); ?>&nbsp;:&nbsp;<?php echo $infoPlugin['actualversion'].' ('.$infoPlugin['actualdate'].')'; ?></p>	
		<?php if ($infoPlugin['status'] == 0) { ?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_ERROR'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/img/vers/up_warning.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 1) { ?>
			<p><?php $plxPlugin->lang('L_VP_LAST_VERSION'); ?>&nbsp;<?php echo $infoPlugin['newplugin']; ?>.</p>
			<p><img src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/img/vers/up_ok.gif" alt=""></p>
		<?php } elseif ($infoPlugin['status'] == 2) { ?>
			<p><?php $plxPlugin->lang('L_VP_NEW_VERSION'); ?><p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/img/vers/up_download.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 3) {?>
		    <p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_DESACTIVED'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/img/vers/up_warning.gif" alt=""></a></p>
		<?php } ?>	
	</div>
</div>	
<script type="text/javascript">
var anc_tab = '01';
change_tab(anc_tab);
</script>

